Delete a Donor Address
curl --request DELETE \
--url https://prod-api.raisedonors.com/api/Donor/{id}/address/{addressId}/delete \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://prod-api.raisedonors.com/api/Donor/{id}/address/{addressId}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Donor/{id}/address/{addressId}/delete"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Donor/{id}/address/{addressId}/delete");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://prod-api.raisedonors.com/api/Donor/{id}/address/{addressId}/delete';
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"email": [
"A valid email address is required."
],
"lastName": [
"The lastName field is required."
]
},
"instance": "/api/Donor/200234/address/400101/delete"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Donor/{id}/address/{addressId}/delete"
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
"title": "Not Found",
"status": 404,
"detail": "Donor 200234 was not found.",
"instance": "/api/Donor/200234/address/400101/delete"
}Donor
Delete a Donor Address
Deletes an address from a donor.
DELETE
https://prod-api.raisedonors.com
/
api
/
Donor
/
{id}
/
address
/
{addressId}
/
delete
Delete a Donor Address
If the address is the donor’s primary one, promote another with Set Primary Donor Address first.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The ID of the donor the address belongs to.
The ID of the donor address to delete.
Response
OK
Last modified on July 28, 2026
Was this page helpful?
⌘I